/*
 * Copyright (c) 2016, The Linux Foundation. All rights reserved.
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * version 2 and only version 2 as published by the Free Software
 * Foundation. This program is distributed in the hope that it
 * will be useful, but WITHOUT ANY WARRANTY; without even the
 * implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
 * PURPOSE. See the GNU General Public License for more details. 
 */


#ifndef __DSSEC_H__
#define __DSSEC_H__



/* DS_SEC */
/* ==================================================================== */

/* DXH_MEMORY_MAP0 */
#define SEC_DXH_MEMORY_MAP0 0x18240000

/* DXH_MEMORY_MAP1 */
#define SEC_DXH_MEMORY_MAP1 0x18240004

/* DXH_MEMORY_MAP2 */
#define SEC_DXH_MEMORY_MAP2 0x18240008

/* DXH_MEMORY_MAP3 */
#define SEC_DXH_MEMORY_MAP3 0x1824000C

/* DXH_MEMORY_MAP4 */
#define SEC_DXH_MEMORY_MAP4 0x18240010

/* DXH_MEMORY_MAP5 */
#define SEC_DXH_MEMORY_MAP5 0x18240014

/* DXH_MEMORY_MAP6 */
#define SEC_DXH_MEMORY_MAP6 0x18240018

/* DXH_MEMORY_MAP7 */
#define SEC_DXH_MEMORY_MAP7 0x1824001C

/* DXH_MEMORY_MAP8 */
#define SEC_DXH_MEMORY_MAP8 0x18240020

/* DXH_MEMORY_MAP9 */
#define SEC_DXH_MEMORY_MAP9 0x18240024

/* DXH_MEMORY_MAP10 */
#define SEC_DXH_MEMORY_MAP10 0x18240028

/* DXH_MEMORY_MAP11 */
#define SEC_DXH_MEMORY_MAP11 0x1824002C

/* DXH_MEMORY_MAP12 */
#define SEC_DXH_MEMORY_MAP12 0x18240030

/* DXH_MEMORY_MAP13 */
#define SEC_DXH_MEMORY_MAP13 0x18240034

/* DXH_MEMORY_MAP14 */
#define SEC_DXH_MEMORY_MAP14 0x18240038

/* DXH_MEMORY_MAP15 */
#define SEC_DXH_MEMORY_MAP15 0x1824003C

/* DXH_MEMORY_MAP16 */
#define SEC_DXH_MEMORY_MAP16 0x18240040

/* DXH_MEMORY_MAP17 */
#define SEC_DXH_MEMORY_MAP17 0x18240044

/* DXH_MEMORY_MAP18 */
#define SEC_DXH_MEMORY_MAP18 0x18240048

/* DXH_MEMORY_MAP19 */
#define SEC_DXH_MEMORY_MAP19 0x1824004C

/* DXH_MEMORY_MAP20 */
#define SEC_DXH_MEMORY_MAP20 0x18240050

/* DXH_MEMORY_MAP21 */
#define SEC_DXH_MEMORY_MAP21 0x18240054

/* DXH_MEMORY_MAP22 */
#define SEC_DXH_MEMORY_MAP22 0x18240058

/* DXH_MEMORY_MAP23 */
#define SEC_DXH_MEMORY_MAP23 0x1824005C

/* DXH_MEMORY_MAP24 */
#define SEC_DXH_MEMORY_MAP24 0x18240060

/* DXH_MEMORY_MAP25 */
#define SEC_DXH_MEMORY_MAP25 0x18240064

/* DXH_MEMORY_MAP26 */
#define SEC_DXH_MEMORY_MAP26 0x18240068

/* DXH_MEMORY_MAP27 */
#define SEC_DXH_MEMORY_MAP27 0x1824006C

/* DXH_MEMORY_MAP28 */
#define SEC_DXH_MEMORY_MAP28 0x18240070

/* DXH_MEMORY_MAP29 */
#define SEC_DXH_MEMORY_MAP29 0x18240074

/* DXH_MEMORY_MAP30 */
#define SEC_DXH_MEMORY_MAP30 0x18240078

/* DXH_MEMORY_MAP31 */
#define SEC_DXH_MEMORY_MAP31 0x1824007C

/* DXH_OPCODE */
#define SEC_DXH_OPCODE 0x18240080

/* DXH_N_NP_T0_T1_ADDR */
#define SEC_DXH_N_NP_T0_T1_ADDR 0x18240084

/* DXH_PKA_STATUS */
#define SEC_DXH_PKA_STATUS 0x18240088

/* DXH_PKA_SW_RESET */
#define SEC_DXH_PKA_SW_RESET 0x1824008C

/* DXH_PKA_L0 */
#define SEC_DXH_PKA_L0 0x18240090

/* DXH_PKA_L1 */
#define SEC_DXH_PKA_L1 0x18240094

/* DXH_PKA_L2 */
#define SEC_DXH_PKA_L2 0x18240098

/* DXH_PKA_L3 */
#define SEC_DXH_PKA_L3 0x1824009C

/* DXH_PKA_L4 */
#define SEC_DXH_PKA_L4 0x182400A0

/* DXH_PKA_L5 */
#define SEC_DXH_PKA_L5 0x182400A4

/* DXH_PKA_L6 */
#define SEC_DXH_PKA_L6 0x182400A8

/* DXH_PKA_L7 */
#define SEC_DXH_PKA_L7 0x182400AC

/* DXH_PKA_PIPE_RDY */
#define SEC_DXH_PKA_PIPE_RDY 0x182400B0

/* DXH_PKA_DONE */
#define SEC_DXH_PKA_DONE 0x182400B4

/* DXH_PKA_MON_SELECT */
#define SEC_DXH_PKA_MON_SELECT 0x182400B8

/* DXH_PKA_DEBUG_REG_EN */
#define SEC_DXH_PKA_DEBUG_REG_EN 0x182400BC

/* DXH_DEBUG_CNT_ADDR */
#define SEC_DXH_DEBUG_CNT_ADDR 0x182400C0

/* DXH_DEBUG_EXT_ADDR */
#define SEC_DXH_DEBUG_EXT_ADDR 0x182400C4

/* DXH_PKA_DEBUG_HALT */
#define SEC_DXH_PKA_DEBUG_HALT 0x182400C8

/* DXH_PKA_MSB_ADDR */
#define SEC_DXH_PKA_MSB_ADDR 0x182400CC

/* DXH_PKA_MON_READ */
#define SEC_DXH_PKA_MON_READ 0x182400D0

/* DXH_RNG_IMR */
#define SEC_DXH_RNG_IMR 0x18240100

/* DXH_RNG_ISR */
#define SEC_DXH_RNG_ISR 0x18240104

/* DXH_RNG_ICR */
#define SEC_DXH_RNG_ICR 0x18240108

/* DXH_TRNG_CONFIG */
#define SEC_DXH_TRNG_CONFIG 0x1824010C

/* DXH_TRNG_VALID */
#define SEC_DXH_TRNG_VALID 0x18240110

/* DXH_EHR_DATA_0 */
#define SEC_DXH_EHR_DATA_0 0x18240114

/* DXH_EHR_DATA_1 */
#define SEC_DXH_EHR_DATA_1 0x18240118

/* DXH_EHR_DATA_2 */
#define SEC_DXH_EHR_DATA_2 0x1824011C

/* DXH_EHR_DATA_3 */
#define SEC_DXH_EHR_DATA_3 0x18240120

/* DXH_EHR_DATA_4 */
#define SEC_DXH_EHR_DATA_4 0x18240124

/* DXH_EHR_DATA_5 */
#define SEC_DXH_EHR_DATA_5 0x18240128

/* DXH_RND_SOURCE_ENABLE */
#define SEC_DXH_RND_SOURCE_ENABLE 0x1824012C

/* DXH_SAMPLE_CNT1 */
#define SEC_DXH_SAMPLE_CNT1 0x18240130

/* DXH_AUTOCORR_STATISTIC */
#define SEC_DXH_AUTOCORR_STATISTIC 0x18240134

/* DXH_TRNG_DEBUG_CONTROL */
#define SEC_DXH_TRNG_DEBUG_CONTROL 0x18240138

/* DXH_RNG_SW_RESET */
#define SEC_DXH_RNG_SW_RESET 0x18240140

/* DXH_RNG_DEBUG_EN_INPUT */
#define SEC_DXH_RNG_DEBUG_EN_INPUT 0x182401B4

/* DXH_RNG_BUSY */
#define SEC_DXH_RNG_BUSY 0x182401B8

/* DXH_RST_BITS_COUNTER */
#define SEC_DXH_RST_BITS_COUNTER 0x182401BC

/* DXH_RNG_VERSION */
#define SEC_DXH_RNG_VERSION 0x182401C0

/* DXH_RNG_CLK_ENABLE */
#define SEC_DXH_RNG_CLK_ENABLE 0x182401C4

/* DXH_RNG_DMA_ENABLE */
#define SEC_DXH_RNG_DMA_ENABLE 0x182401C8

/* DXH_RNG_DMA_SRC_MASK */
#define SEC_DXH_RNG_DMA_SRC_MASK 0x182401CC

/* DXH_RNG_DMA_SRAM_ADDR */
#define SEC_DXH_RNG_DMA_SRAM_ADDR 0x182401D0

/* DXH_RNG_DMA_SAMPLES_NUM */
#define SEC_DXH_RNG_DMA_SAMPLES_NUM 0x182401D4

/* DXH_RNG_WATCHDOG_VAL */
#define SEC_DXH_RNG_WATCHDOG_VAL 0x182401D8

/* DXH_RNG_DMA_STATUS */
#define SEC_DXH_RNG_DMA_STATUS 0x182401DC

/* DXH_TRNG_BIST_CNTR0 */
#define SEC_DXH_TRNG_BIST_CNTR0 0x182401E0

/* DXH_TRNG_BIST_CNTR1 */
#define SEC_DXH_TRNG_BIST_CNTR1 0x182401E4

/* DXH_TRNG_BIST_CNTR2 */
#define SEC_DXH_TRNG_BIST_CNTR2 0x182401E8

/* DXH_DES_KEY_0 */
#define SEC_DXH_DES_KEY_0 0x18240208

/* DXH_DES_KEY_1 */
#define SEC_DXH_DES_KEY_1 0x1824020C

/* DXH_DES_KEY_2 */
#define SEC_DXH_DES_KEY_2 0x18240210

/* DXH_DES_KEY_3 */
#define SEC_DXH_DES_KEY_3 0x18240214

/* DXH_DES_KEY_4 */
#define SEC_DXH_DES_KEY_4 0x18240218

/* DXH_DES_KEY_5 */
#define SEC_DXH_DES_KEY_5 0x1824021C

/* DXH_DES_CONTROL_0 */
#define SEC_DXH_DES_CONTROL_0 0x18240220

/* DXH_DES_CONTROL_1 */
#define SEC_DXH_DES_CONTROL_1 0x18240224

/* DXH_DES_IV_0 */
#define SEC_DXH_DES_IV_0 0x18240228

/* DXH_DES_IV_1 */
#define SEC_DXH_DES_IV_1 0x1824022C

/* DXH_DES_VERSION */
#define SEC_DXH_DES_VERSION 0x18240230

/* DXH_DES_RBG_INIT_VAL */
#define SEC_DXH_DES_RBG_INIT_VAL 0x18240248

/* DXH_DES_RBG_READY */
#define SEC_DXH_DES_RBG_READY 0x1824024C

/* DXH_DES_BUSY */
#define SEC_DXH_DES_BUSY 0x18240270

/* DXH_DES_SW_RESET */
#define SEC_DXH_DES_SW_RESET 0x18240280

/* DXH_AES_KEY_0_0 */
#define SEC_DXH_AES_KEY_0_0 0x18240400

/* DXH_AES_KEY_0_1 */
#define SEC_DXH_AES_KEY_0_1 0x18240404

/* DXH_AES_KEY_0_2 */
#define SEC_DXH_AES_KEY_0_2 0x18240408

/* DXH_AES_KEY_0_3 */
#define SEC_DXH_AES_KEY_0_3 0x1824040C

/* DXH_AES_KEY_0_4 */
#define SEC_DXH_AES_KEY_0_4 0x18240410

/* DXH_AES_KEY_0_5 */
#define SEC_DXH_AES_KEY_0_5 0x18240414

/* DXH_AES_KEY_0_6 */
#define SEC_DXH_AES_KEY_0_6 0x18240418

/* DXH_AES_KEY_0_7 */
#define SEC_DXH_AES_KEY_0_7 0x1824041C

/* DXH_AES_KEY_1_0 */
#define SEC_DXH_AES_KEY_1_0 0x18240420

/* DXH_AES_KEY_1_1 */
#define SEC_DXH_AES_KEY_1_1 0x18240424

/* DXH_AES_KEY_1_2 */
#define SEC_DXH_AES_KEY_1_2 0x18240428

/* DXH_AES_KEY_1_3 */
#define SEC_DXH_AES_KEY_1_3 0x1824042C

/* DXH_AES_KEY_1_4 */
#define SEC_DXH_AES_KEY_1_4 0x18240430

/* DXH_AES_KEY_1_5 */
#define SEC_DXH_AES_KEY_1_5 0x18240434

/* DXH_AES_KEY_1_6 */
#define SEC_DXH_AES_KEY_1_6 0x18240438

/* DXH_AES_KEY_1_7 */
#define SEC_DXH_AES_KEY_1_7 0x1824043C

/* DXH_AES_IV_0_0 */
#define SEC_DXH_AES_IV_0_0 0x18240440

/* DXH_AES_IV_0_1 */
#define SEC_DXH_AES_IV_0_1 0x18240444

/* DXH_AES_IV_0_2 */
#define SEC_DXH_AES_IV_0_2 0x18240448

/* DXH_AES_IV_0_3 */
#define SEC_DXH_AES_IV_0_3 0x1824044C

/* DXH_AES_IV_1_0 */
#define SEC_DXH_AES_IV_1_0 0x18240450

/* DXH_AES_IV_1_1 */
#define SEC_DXH_AES_IV_1_1 0x18240454

/* DXH_AES_IV_1_2 */
#define SEC_DXH_AES_IV_1_2 0x18240458

/* DXH_AES_IV_1_3 */
#define SEC_DXH_AES_IV_1_3 0x1824045C

/* DXH_AES_CTR_0_0 */
#define SEC_DXH_AES_CTR_0_0 0x18240460

/* DXH_AES_CTR_0_1 */
#define SEC_DXH_AES_CTR_0_1 0x18240464

/* DXH_AES_CTR_0_2 */
#define SEC_DXH_AES_CTR_0_2 0x18240468

/* DXH_AES_CTR_0_3 */
#define SEC_DXH_AES_CTR_0_3 0x1824046C

/* DXH_AES_BUSY */
#define SEC_DXH_AES_BUSY 0x18240470

/* DXH_AES_SK */
#define SEC_DXH_AES_SK 0x18240478

/* DXH_AES_CMAC_INIT */
#define SEC_DXH_AES_CMAC_INIT 0x1824047C

/* DXH_AES_PREV_IV_1_0 */
#define SEC_DXH_AES_PREV_IV_1_0 0x18240480

/* DXH_AES_PREV_IV_1_1 */
#define SEC_DXH_AES_PREV_IV_1_1 0x18240484

/* DXH_AES_PREV_IV_1_2 */
#define SEC_DXH_AES_PREV_IV_1_2 0x18240488

/* DXH_AES_PREV_IV_1_3 */
#define SEC_DXH_AES_PREV_IV_1_3 0x1824048C

/* DXH_AES_PREV_IV_0_0 */
#define SEC_DXH_AES_PREV_IV_0_0 0x18240490

/* DXH_AES_PREV_IV_0_1 */
#define SEC_DXH_AES_PREV_IV_0_1 0x18240494

/* DXH_AES_PREV_IV_0_2 */
#define SEC_DXH_AES_PREV_IV_0_2 0x18240498

/* DXH_AES_PREV_IV_0_3 */
#define SEC_DXH_AES_PREV_IV_0_3 0x1824049C

/* DXH_AES_REMAINING_BYTES */
#define SEC_DXH_AES_REMAINING_BYTES 0x182404BC

/* DXH_AES_CONTROL */
#define SEC_DXH_AES_CONTROL 0x182404C0

/* DXH_AES_HW_FLAGS */
#define SEC_DXH_AES_HW_FLAGS 0x182404C8

/* DXH_AES_XEX_HW_T_CALC_KICK */
#define SEC_DXH_AES_XEX_HW_T_CALC_KICK 0x182404CC

/* DXH_AES_XEX_HW_T_CALC_IS_ON */
#define SEC_DXH_AES_XEX_HW_T_CALC_IS_ON 0x182404D4

/* DXH_AES_CTR_NO_INCREMENT */
#define SEC_DXH_AES_CTR_NO_INCREMENT 0x182404D8

/* DXH_AES_CTR_1_0 */
#define SEC_DXH_AES_CTR_1_0 0x182404E0

/* DXH_AES_CTR_1_1 */
#define SEC_DXH_AES_CTR_1_1 0x182404E4

/* DXH_AES_CTR_1_2 */
#define SEC_DXH_AES_CTR_1_2 0x182404E8

/* DXH_AES_CTR_1_3 */
#define SEC_DXH_AES_CTR_1_3 0x182404EC

/* DXH_AES_SW_RESET */
#define SEC_DXH_AES_SW_RESET 0x182404F4

/* DXH_AES_XEX_HW_T_CALC_KEY_0 */
#define SEC_DXH_AES_XEX_HW_T_CALC_KEY_0 0x18240500

/* DXH_AES_XEX_HW_T_CALC_KEY_1 */
#define SEC_DXH_AES_XEX_HW_T_CALC_KEY_1 0x18240504

/* DXH_AES_XEX_HW_T_CALC_KEY_2 */
#define SEC_DXH_AES_XEX_HW_T_CALC_KEY_2 0x18240508

/* DXH_AES_XEX_HW_T_CALC_KEY_3 */
#define SEC_DXH_AES_XEX_HW_T_CALC_KEY_3 0x1824050C

/* DXH_AES_XEX_HW_T_CALC_KEY_4 */
#define SEC_DXH_AES_XEX_HW_T_CALC_KEY_4 0x18240510

/* DXH_AES_XEX_HW_T_CALC_KEY_5 */
#define SEC_DXH_AES_XEX_HW_T_CALC_KEY_5 0x18240514

/* DXH_AES_XEX_HW_T_CALC_KEY_6 */
#define SEC_DXH_AES_XEX_HW_T_CALC_KEY_6 0x18240518

/* DXH_AES_XEX_HW_T_CALC_KEY_7 */
#define SEC_DXH_AES_XEX_HW_T_CALC_KEY_7 0x1824051C

/* DXH_AES_DATA_UNIT */
#define SEC_DXH_AES_DATA_UNIT 0x18240520

/* DXH_AES_CMAC_SIZE0_KICK */
#define SEC_DXH_AES_CMAC_SIZE0_KICK 0x18240524

/* DXH_HASH_H0 */
#define SEC_DXH_HASH_H0 0x18240640

/* DXH_HASH_H1 */
#define SEC_DXH_HASH_H1 0x18240644

/* DXH_HASH_H2 */
#define SEC_DXH_HASH_H2 0x18240648

/* DXH_HASH_H3 */
#define SEC_DXH_HASH_H3 0x1824064C

/* DXH_HASH_H4 */
#define SEC_DXH_HASH_H4 0x18240650

/* DXH_HASH_H5 */
#define SEC_DXH_HASH_H5 0x18240654

/* DXH_HASH_H6 */
#define SEC_DXH_HASH_H6 0x18240658

/* DXH_HASH_H7 */
#define SEC_DXH_HASH_H7 0x1824065C

/* DXH_HASH_H8 */
#define SEC_DXH_HASH_H8 0x18240660

/* DXH_HASH_H9 */
#define SEC_DXH_HASH_H9 0x18240664

/* DXH_HASH_H10 */
#define SEC_DXH_HASH_H10 0x18240668

/* DXH_HASH_H11 */
#define SEC_DXH_HASH_H11 0x1824066C

/* DXH_HASH_H12 */
#define SEC_DXH_HASH_H12 0x18240670

/* DXH_HASH_H13 */
#define SEC_DXH_HASH_H13 0x18240674

/* DXH_HASH_H14 */
#define SEC_DXH_HASH_H14 0x18240678

/* DXH_HASH_H15 */
#define SEC_DXH_HASH_H15 0x1824067C

/* DXH_AUTO_HW_PADDING */
#define SEC_DXH_AUTO_HW_PADDING 0x18240684

/* DXH_LOAD_INIT_STATE */
#define SEC_DXH_LOAD_INIT_STATE 0x18240694

/* DXH_TRUNC_OUTPUT */
#define SEC_DXH_TRUNC_OUTPUT 0x18240698

/* DXH_DUMP_COMPARE_RESULT */
#define SEC_DXH_DUMP_COMPARE_RESULT 0x1824069C

/* DXH_DUMP_TO_DOUT */
#define SEC_DXH_DUMP_TO_DOUT 0x182406A0

/* DXH_HASH_H0_SAVED */
#define SEC_DXH_HASH_H0_SAVED 0x18240740

/* DXH_HASH_H1_SAVED */
#define SEC_DXH_HASH_H1_SAVED 0x18240744

/* DXH_HASH_H2_SAVED */
#define SEC_DXH_HASH_H2_SAVED 0x18240748

/* DXH_HASH_H3_SAVED */
#define SEC_DXH_HASH_H3_SAVED 0x1824074C

/* DXH_HASH_H4_SAVED */
#define SEC_DXH_HASH_H4_SAVED 0x18240750

/* DXH_HASH_H5_SAVED */
#define SEC_DXH_HASH_H5_SAVED 0x18240754

/* DXH_HASH_H6_SAVED */
#define SEC_DXH_HASH_H6_SAVED 0x18240758

/* DXH_HASH_H7_SAVED */
#define SEC_DXH_HASH_H7_SAVED 0x1824075C

/* DXH_HASH_H8_SAVED */
#define SEC_DXH_HASH_H8_SAVED 0x18240760

/* DXH_HASH_H9_SAVED */
#define SEC_DXH_HASH_H9_SAVED 0x18240764

/* DXH_HASH_H10_SAVED */
#define SEC_DXH_HASH_H10_SAVED 0x18240768

/* DXH_HASH_H11_SAVED */
#define SEC_DXH_HASH_H11_SAVED 0x1824076C

/* DXH_HASH_H12_SAVED */
#define SEC_DXH_HASH_H12_SAVED 0x18240770

/* DXH_HASH_H13_SAVED */
#define SEC_DXH_HASH_H13_SAVED 0x18240774

/* DXH_HASH_H14_SAVED */
#define SEC_DXH_HASH_H14_SAVED 0x18240778

/* DXH_HASH_H15_SAVED */
#define SEC_DXH_HASH_H15_SAVED 0x1824077C

/* DXH_HASH_VERSION */
#define SEC_DXH_HASH_VERSION 0x182407B0

/* DXH_HASH_CONTROL */
#define SEC_DXH_HASH_CONTROL 0x182407C0

/* DXH_HASH_PAD_EN */
#define SEC_DXH_HASH_PAD_EN 0x182407C4

/* DXH_HASH_PAD_CFG */
#define SEC_DXH_HASH_PAD_CFG 0x182407C8

/* DXH_HASH_CUR_LEN_0 */
#define SEC_DXH_HASH_CUR_LEN_0 0x182407CC

/* DXH_HASH_CUR_LEN_1 */
#define SEC_DXH_HASH_CUR_LEN_1 0x182407D0

/* DXH_HASH_CUR_LEN_2 */
#define SEC_DXH_HASH_CUR_LEN_2 0x182407D4

/* DXH_HASH_CUR_LEN_3 */
#define SEC_DXH_HASH_CUR_LEN_3 0x182407D8

/* DXH_HASH_PARAM */
#define SEC_DXH_HASH_PARAM 0x182407DC

/* DXH_HASH_AES_SW_RESET */
#define SEC_DXH_HASH_AES_SW_RESET 0x182407E4

/* DXH_HASH_ENDIANESS */
#define SEC_DXH_HASH_ENDIANESS 0x182407E8

/* DXH_HASH_LOAD_DIGEST */
#define SEC_DXH_HASH_LOAD_DIGEST 0x182407FC

/* DXH_AES_CLK_ENABLE */
#define SEC_DXH_AES_CLK_ENABLE 0x18240810

/* DXH_DES_CLK_ENABLE */
#define SEC_DXH_DES_CLK_ENABLE 0x18240814

/* DXH_HASH_CLK_ENABLE */
#define SEC_DXH_HASH_CLK_ENABLE 0x18240818

/* DXH_PKA_CLK_ENABLE */
#define SEC_DXH_PKA_CLK_ENABLE 0x1824081C

/* DXH_DMA_CLK_ENABLE */
#define SEC_DXH_DMA_CLK_ENABLE 0x18240820

/* DXH_CLK_STATUS */
#define SEC_DXH_CLK_STATUS 0x18240824

/* DXH_RC4_CLK_ENABLE */
#define SEC_DXH_RC4_CLK_ENABLE 0x18240854

/* DXH_CRYPTO_CTL */
#define SEC_DXH_CRYPTO_CTL 0x18240900

/* DXH_CRYPTO_BUSY */
#define SEC_DXH_CRYPTO_BUSY 0x18240910

/* DXH_HASH_BUSY */
#define SEC_DXH_HASH_BUSY 0x1824091C

/* DXH_VERSION */
#define SEC_DXH_VERSION 0x18240928

/* DXH_CONTEXT_ID */
#define SEC_DXH_CONTEXT_ID 0x18240930

/* DXH_HASH_COMPARE_ERR_ID_FIFO0 */
#define SEC_DXH_HASH_COMPARE_ERR_ID_FIFO0 0x18240940

/* DXH_HASH_COMPARE_ERR_ID_FIFO1 */
#define SEC_DXH_HASH_COMPARE_ERR_ID_FIFO1 0x18240944

/* DXH_HASH_COMPARE_ERR_ID_FIFO2 */
#define SEC_DXH_HASH_COMPARE_ERR_ID_FIFO2 0x18240948

/* DXH_HASH_COMPARE_ERR_ID_FIFO3 */
#define SEC_DXH_HASH_COMPARE_ERR_ID_FIFO3 0x1824094C

/* DXH_HOST_RGF_IRR */
#define SEC_DXH_HOST_RGF_IRR 0x18240A00

/* DXH_HOST_RGF_IMR */
#define SEC_DXH_HOST_RGF_IMR 0x18240A04

/* DXH_HOST_RGF_ICR */
#define SEC_DXH_HOST_RGF_ICR 0x18240A08

/* DXH_HOST_RGF_ENDIAN */
#define SEC_DXH_HOST_RGF_ENDIAN 0x18240A0C

/* DXH_HOST_RGF_CC_SW_RST */
#define SEC_DXH_HOST_RGF_CC_SW_RST 0x18240A20

/* DXH_HOST_RGF_SIGNATURE */
#define SEC_DXH_HOST_RGF_SIGNATURE 0x18240A24

/* DXH_HOST_BOOT */
#define SEC_DXH_HOST_BOOT 0x18240A28

/* DXH_HOST_PROVISION_CONST_MASK */
#define SEC_DXH_HOST_PROVISION_CONST_MASK 0x18240A30

/* DXH_HOST_CRYPTOKEY_SEL */
#define SEC_DXH_HOST_CRYPTOKEY_SEL 0x18240A38

/* DXH_HOST_DCU_EN */
#define SEC_DXH_HOST_DCU_EN 0x18240A64

/* DXH_HOST_SECURE_TIMER_BIST_KICK */
#define SEC_DXH_HOST_SECURE_TIMER_BIST_KICK 0x18240A68

/* DXH_HOST_SECURE_TIMER_BIST_VAL */
#define SEC_DXH_HOST_SECURE_TIMER_BIST_VAL 0x18240A6C

/* DXH_HOST_CC_AO_TEST */
#define SEC_DXH_HOST_CC_AO_TEST 0x18240A70

/* DXH_HOST_LOW_RES_SECURE_TIMER_RST */
#define SEC_DXH_HOST_LOW_RES_SECURE_TIMER_RST 0x18240A74

/* DXH_HOST_LOW_RES_SECURE_TIMER_0 */
#define SEC_DXH_HOST_LOW_RES_SECURE_TIMER_0 0x18240A78

/* DXH_HOST_LOW_RES_SECURE_TIMER_1 */
#define SEC_DXH_HOST_LOW_RES_SECURE_TIMER_1 0x18240A7C

/* DXH_HOST_HIGH_RES_SECURE_TIMER_RST */
#define SEC_DXH_HOST_HIGH_RES_SECURE_TIMER_RST 0x18240A80

/* DXH_HOST_HIGH_RES_SECURE_TIMER_0 */
#define SEC_DXH_HOST_HIGH_RES_SECURE_TIMER_0 0x18240A84

/* DXH_HOST_HIGH_RES_SECURE_TIMER_1 */
#define SEC_DXH_HOST_HIGH_RES_SECURE_TIMER_1 0x18240A88

/* DXH_HOST_HIGH_RES_SECURE_TIMER_TH_0 */
#define SEC_DXH_HOST_HIGH_RES_SECURE_TIMER_TH_0 0x18240A8C

/* DXH_HOST_HIGH_RES_SECURE_TIMER_TH_1 */
#define SEC_DXH_HOST_HIGH_RES_SECURE_TIMER_TH_1 0x18240A90

/* DXH_HOST_LATCHED_EXTERNAL_TIMER_0 */
#define SEC_DXH_HOST_LATCHED_EXTERNAL_TIMER_0 0x18240A94

/* DXH_HOST_LATCHED_EXTERNAL_TIMER_1 */
#define SEC_DXH_HOST_LATCHED_EXTERNAL_TIMER_1 0x18240A98

/* DXH_NVM_CC_BOOT */
#define SEC_DXH_NVM_CC_BOOT 0x18240AA0

/* DXH_HOST_AIB_ADDR_REG */
#define SEC_DXH_HOST_AIB_ADDR_REG 0x18240AA4

/* DXH_HOST_AIB_WDATA_REG */
#define SEC_DXH_HOST_AIB_WDATA_REG 0x18240AA8

/* DXH_HOST_AIB_RDATA_REG */
#define SEC_DXH_HOST_AIB_RDATA_REG 0x18240AAC

/* DXH_AIB_FUSE_PROG_COMPLETED */
#define SEC_DXH_AIB_FUSE_PROG_COMPLETED 0x18240AB0

/* DXH_AIB_FUSE_ACK */
#define SEC_DXH_AIB_FUSE_ACK 0x18240AB4

/* DXH_AIB_DEBUG_STATUS */
#define SEC_DXH_AIB_DEBUG_STATUS 0x18240AB8

/* DXH_LCS_IS_VALID */
#define SEC_DXH_LCS_IS_VALID 0x18240ABC

/* DXH_HOST_SESSION_KEY0 */
#define SEC_DXH_HOST_SESSION_KEY0 0x18240AC0

/* DXH_HOST_SESSION_KEY1 */
#define SEC_DXH_HOST_SESSION_KEY1 0x18240AC4

/* DXH_HOST_SESSION_KEY2 */
#define SEC_DXH_HOST_SESSION_KEY2 0x18240AC8

/* DXH_HOST_SESSION_KEY3 */
#define SEC_DXH_HOST_SESSION_KEY3 0x18240ACC

/* DXH_HOST_SEESION_KEY_IS_VALID */
#define SEC_DXH_HOST_SEESION_KEY_IS_VALID 0x18240AD0

/* DXH_LCS_REG */
#define SEC_DXH_LCS_REG 0x18240AD4

/* DXH_HOST_CPC_SECURITY_DISABLE */
#define SEC_DXH_HOST_CPC_SECURITY_DISABLE 0x18240AD8

/* DXH_HOST_AO_CC_STATE_COUNTER */
#define SEC_DXH_HOST_AO_CC_STATE_COUNTER 0x18240ADC

/* DXH_HOST_CC_AO_STATE_COUNTER_INC */
#define SEC_DXH_HOST_CC_AO_STATE_COUNTER_INC 0x18240AE0

/* DXH_HOST_AO_CC_IS_SD */
#define SEC_DXH_HOST_AO_CC_IS_SD 0x18240AE4

/* DXH_AXIM_MON_INFLIGHT0 */
#define SEC_DXH_AXIM_MON_INFLIGHT0 0x18240B00

/* DXH_AXIM_MON_INFLIGHT1 */
#define SEC_DXH_AXIM_MON_INFLIGHT1 0x18240B04

/* DXH_AXIM_MON_INFLIGHT2 */
#define SEC_DXH_AXIM_MON_INFLIGHT2 0x18240B08

/* DXH_AXIM_MON_INFLIGHT3 */
#define SEC_DXH_AXIM_MON_INFLIGHT3 0x18240B0C

/* DXH_AXIM_MON_INFLIGHT4 */
#define SEC_DXH_AXIM_MON_INFLIGHT4 0x18240B10

/* DXH_AXIM_MON_INFLIGHT5 */
#define SEC_DXH_AXIM_MON_INFLIGHT5 0x18240B14

/* DXH_AXIM_MON_INFLIGHT8 */
#define SEC_DXH_AXIM_MON_INFLIGHT8 0x18240B20

/* DXH_AXIM_MON_INFLIGHT9 */
#define SEC_DXH_AXIM_MON_INFLIGHT9 0x18240B24

/* DXH_AXIM_MON_INFLIGHT10 */
#define SEC_DXH_AXIM_MON_INFLIGHT10 0x18240B28

/* DXH_AXIM_MON_INFLIGHT11 */
#define SEC_DXH_AXIM_MON_INFLIGHT11 0x18240B2C

/* DXH_AXIM_MON_INFLIGHTLAST0 */
#define SEC_DXH_AXIM_MON_INFLIGHTLAST0 0x18240B40

/* DXH_AXIM_MON_INFLIGHTLAST1 */
#define SEC_DXH_AXIM_MON_INFLIGHTLAST1 0x18240B44

/* DXH_AXIM_MON_INFLIGHTLAST2 */
#define SEC_DXH_AXIM_MON_INFLIGHTLAST2 0x18240B48

/* DXH_AXIM_MON_INFLIGHTLAST3 */
#define SEC_DXH_AXIM_MON_INFLIGHTLAST3 0x18240B4C

/* DXH_AXIM_MON_INFLIGHTLAST4 */
#define SEC_DXH_AXIM_MON_INFLIGHTLAST4 0x18240B50

/* DXH_AXIM_MON_INFLIGHTLAST5 */
#define SEC_DXH_AXIM_MON_INFLIGHTLAST5 0x18240B54

/* DXH_AXIM_MON_INFLIGHTLAST8 */
#define SEC_DXH_AXIM_MON_INFLIGHTLAST8 0x18240B60

/* DXH_AXIM_MON_INFLIGHTLAST9 */
#define SEC_DXH_AXIM_MON_INFLIGHTLAST9 0x18240B64

/* DXH_AXIM_MON_INFLIGHTLAST10 */
#define SEC_DXH_AXIM_MON_INFLIGHTLAST10 0x18240B68

/* DXH_AXIM_MON_INFLIGHTLAST11 */
#define SEC_DXH_AXIM_MON_INFLIGHTLAST11 0x18240B6C

/* DXH_AXIM_PIDTABLE0 */
#define SEC_DXH_AXIM_PIDTABLE0 0x18240B70

/* DXH_AXIM_PIDTABLE1 */
#define SEC_DXH_AXIM_PIDTABLE1 0x18240B74

/* DXH_AXIM_PIDTABLE2 */
#define SEC_DXH_AXIM_PIDTABLE2 0x18240B78

/* DXH_AXIM_PIDTABLE3 */
#define SEC_DXH_AXIM_PIDTABLE3 0x18240B7C

/* DXH_AXIM_MON_COMP0 */
#define SEC_DXH_AXIM_MON_COMP0 0x18240B80

/* DXH_AXIM_MON_COMP1 */
#define SEC_DXH_AXIM_MON_COMP1 0x18240B84

/* DXH_AXIM_MON_COMP2 */
#define SEC_DXH_AXIM_MON_COMP2 0x18240B88

/* DXH_AXIM_MON_COMP3 */
#define SEC_DXH_AXIM_MON_COMP3 0x18240B8C

/* DXH_AXIM_MON_COMP4 */
#define SEC_DXH_AXIM_MON_COMP4 0x18240B90

/* DXH_AXIM_MON_COMP5 */
#define SEC_DXH_AXIM_MON_COMP5 0x18240B94

/* DXH_AXIM_MON_COMP8 */
#define SEC_DXH_AXIM_MON_COMP8 0x18240BA0

/* DXH_AXIM_MON_COMP9 */
#define SEC_DXH_AXIM_MON_COMP9 0x18240BA4

/* DXH_AXIM_MON_COMP10 */
#define SEC_DXH_AXIM_MON_COMP10 0x18240BA8

/* DXH_AXIM_MON_COMP11 */
#define SEC_DXH_AXIM_MON_COMP11 0x18240BAC

/* DXH_AXIM_MON_RMAX */
#define SEC_DXH_AXIM_MON_RMAX 0x18240BB4

/* DXH_AXIM_MON_RMIN */
#define SEC_DXH_AXIM_MON_RMIN 0x18240BB8

/* DXH_AXIM_MON_WMAX */
#define SEC_DXH_AXIM_MON_WMAX 0x18240BBC

/* DXH_AXIM_MON_WMIN */
#define SEC_DXH_AXIM_MON_WMIN 0x18240BC0

/* DXH_AXIM_MON_ERR */
#define SEC_DXH_AXIM_MON_ERR 0x18240BC4

/* DXH_AXIM_RDSTAT */
#define SEC_DXH_AXIM_RDSTAT 0x18240BC8

/* DXH_AXIM_RLATENCY */
#define SEC_DXH_AXIM_RLATENCY 0x18240BD0

/* DXH_AXIM_RBURST */
#define SEC_DXH_AXIM_RBURST 0x18240BD4

/* DXH_AXIM_WLATENCY */
#define SEC_DXH_AXIM_WLATENCY 0x18240BD8

/* DXH_AXIM_WBURST */
#define SEC_DXH_AXIM_WBURST 0x18240BDC

/* DXH_AXIM_CACHETYPE_CFG */
#define SEC_DXH_AXIM_CACHETYPE_CFG 0x18240BE0

/* DXH_AXIM_PROT_CFG */
#define SEC_DXH_AXIM_PROT_CFG 0x18240BE4

/* DXH_AXIM_CFG1 */
#define SEC_DXH_AXIM_CFG1 0x18240BE8

/* DXH_AXIM_ACE_CONST */
#define SEC_DXH_AXIM_ACE_CONST 0x18240BEC

/* DXH_AXIM_CACHE_PARAMS */
#define SEC_DXH_AXIM_CACHE_PARAMS 0x18240BF0

/* DXH_DIN_BUFFER */
#define SEC_DXH_DIN_BUFFER 0x18240C00

/* DXH_DIN_MEM_DMA_BUSY */
#define SEC_DXH_DIN_MEM_DMA_BUSY 0x18240C20

/* DXH_SRC_LLI_SRAM_ADDR */
#define SEC_DXH_SRC_LLI_SRAM_ADDR 0x18240C24

/* DXH_SRC_LLI_WORD0 */
#define SEC_DXH_SRC_LLI_WORD0 0x18240C28

/* DXH_SRC_LLI_WORD1 */
#define SEC_DXH_SRC_LLI_WORD1 0x18240C2C

/* DXH_SRAM_SRC_ADDR */
#define SEC_DXH_SRAM_SRC_ADDR 0x18240C30

/* DXH_DIN_SRAM_BYTES_LEN */
#define SEC_DXH_DIN_SRAM_BYTES_LEN 0x18240C34

/* DXH_DIN_SRAM_DMA_BUSY */
#define SEC_DXH_DIN_SRAM_DMA_BUSY 0x18240C38

/* DXH_DIN_SRAM_ENDIANNESS */
#define SEC_DXH_DIN_SRAM_ENDIANNESS 0x18240C3C

/* DXH_AXI_CPU_DIN_PARAMS */
#define SEC_DXH_AXI_CPU_DIN_PARAMS 0x18240C40

/* DXH_DIN_SW_RESET */
#define SEC_DXH_DIN_SW_RESET 0x18240C44

/* DXH_WRITE_ALIGN_LAST */
#define SEC_DXH_WRITE_ALIGN_LAST 0x18240C4C

/* DXH_FIFO_IN_EMPTY */
#define SEC_DXH_FIFO_IN_EMPTY 0x18240C50

/* DXH_DISABLE_OUTSTD_REQ */
#define SEC_DXH_DISABLE_OUTSTD_REQ 0x18240C54

/* DXH_DIN_FIFO_RST_PNTR */
#define SEC_DXH_DIN_FIFO_RST_PNTR 0x18240C58

/* DXH_DOUT_MEM_DMA_BUSY */
#define SEC_DXH_DOUT_MEM_DMA_BUSY 0x18240D20

/* DXH_DST_LLI_SRAM_ADDR */
#define SEC_DXH_DST_LLI_SRAM_ADDR 0x18240D24

/* DXH_DST_LLI_WORD0 */
#define SEC_DXH_DST_LLI_WORD0 0x18240D28

/* DXH_DST_LLI_WORD1 */
#define SEC_DXH_DST_LLI_WORD1 0x18240D2C

/* DXH_SRAM_DEST_ADDR */
#define SEC_DXH_SRAM_DEST_ADDR 0x18240D30

/* DXH_DOUT_SRAM_BYTES_LEN */
#define SEC_DXH_DOUT_SRAM_BYTES_LEN 0x18240D34

/* DXH_DOUT_SRAM_DMA_BUSY */
#define SEC_DXH_DOUT_SRAM_DMA_BUSY 0x18240D38

/* DXH_DOUT_SRAM_ENDIANNESS */
#define SEC_DXH_DOUT_SRAM_ENDIANNESS 0x18240D3C

/* DXH_READ_ALIGN_LAST */
#define SEC_DXH_READ_ALIGN_LAST 0x18240D44

/* DXH_FIFO_MODE */
#define SEC_DXH_FIFO_MODE 0x18240D48

/* DXH_DOUT_FIFO_EMPTY */
#define SEC_DXH_DOUT_FIFO_EMPTY 0x18240D50

/* DXH_AXI_CPU_DOUT_PARAMS */
#define SEC_DXH_AXI_CPU_DOUT_PARAMS 0x18240D54

/* DXH_DOUT_SW_RESET */
#define SEC_DXH_DOUT_SW_RESET 0x18240D58

/* DXH_DSCRPTR_COMPLETION_COUNTER0 */
#define SEC_DXH_DSCRPTR_COMPLETION_COUNTER0 0x18240E00

/* DXH_DSCRPTR_COMPLETION_COUNTER1 */
#define SEC_DXH_DSCRPTR_COMPLETION_COUNTER1 0x18240E04

/* DXH_DSCRPTR_COMPLETION_STATUS */
#define SEC_DXH_DSCRPTR_COMPLETION_STATUS 0x18240E3C

/* DXH_DSCRPTR_SW_RESET */
#define SEC_DXH_DSCRPTR_SW_RESET 0x18240E40

/* DXH_DSCRPTR_CNTX_SWITCH_COUNTER_VAL */
#define SEC_DXH_DSCRPTR_CNTX_SWITCH_COUNTER_VAL 0x18240E44

/* DXH_DSCRPTR_DISABLE_CNTX_SWITCH */
#define SEC_DXH_DSCRPTR_DISABLE_CNTX_SWITCH 0x18240E48

/* DXH_DSCRPTR_DEBUG_MODE */
#define SEC_DXH_DSCRPTR_DEBUG_MODE 0x18240E4C

/* DXH_DSCRPTR_SINGLE_ADDR_EN */
#define SEC_DXH_DSCRPTR_SINGLE_ADDR_EN 0x18240E64

/* DXH_DSCRPTR_MEASURE_CNTR */
#define SEC_DXH_DSCRPTR_MEASURE_CNTR 0x18240E68

/* DXH_DSCRPTR_QUEUE0_WORD0 */
#define SEC_DXH_DSCRPTR_QUEUE0_WORD0 0x18240E80

/* DXH_DSCRPTR_QUEUE0_WORD1 */
#define SEC_DXH_DSCRPTR_QUEUE0_WORD1 0x18240E84

/* DXH_DSCRPTR_QUEUE0_WORD2 */
#define SEC_DXH_DSCRPTR_QUEUE0_WORD2 0x18240E88

/* DXH_DSCRPTR_QUEUE0_WORD3 */
#define SEC_DXH_DSCRPTR_QUEUE0_WORD3 0x18240E8C

/* DXH_DSCRPTR_QUEUE0_WORD4 */
#define SEC_DXH_DSCRPTR_QUEUE0_WORD4 0x18240E90

/* DXH_DSCRPTR_QUEUE0_WATERMARK */
#define SEC_DXH_DSCRPTR_QUEUE0_WATERMARK 0x18240E94

/* DXH_DSCRPTR_QUEUE0_CONTENT */
#define SEC_DXH_DSCRPTR_QUEUE0_CONTENT 0x18240E98

/* DXH_DSCRPTR_QUEUE0_FLOW_ID */
#define SEC_DXH_DSCRPTR_QUEUE0_FLOW_ID 0x18240E9C

/* DXH_SRAM_DATA */
#define SEC_DXH_SRAM_DATA 0x18240F00

/* DXH_SRAM_ADDR */
#define SEC_DXH_SRAM_ADDR 0x18240F04

/* DXH_SRAM_DATA_READY */
#define SEC_DXH_SRAM_DATA_READY 0x18240F08

/* DXH_ADDR_AXIM_CTRL */
#define SEC_DXH_ADDR_AXIM_CTRL 0x18248BF4


#endif  // __DSSEC_H__
